be.ehealth.businessconnector.dmg.builders

## Interface ResponseObjectBuilder

- All Known Implementing Classes:
    ResponseObjectBuilderImpl

      public interface ResponseObjectBuilder

  Interface with the methods used to check Xades and decode the content. Default impl : `ResponseObjectBuilderImpl` Factory : `ResponseObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DmgBuilderResponse` | `handleAsyncResponse(MsgResponse asyncMsgResponse)` converts response to asynchronous business message to DmgBuilderResponse.
    `DmgBuilderResponse` | `handleSendResponseType(SendResponseType sendRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `DmgBuilderResponse` object.

- - ### Method Detail

    - #### handleSendResponseType

          DmgBuilderResponse handleSendResponseType(SendResponseType sendRequest)
                                             throws TechnicalConnectorException,
                                                    NoSuchAlgorithmException,
                                                    DataFormatException

      Handles the response of the WS, checks the Xades and decode the content to create a `DmgBuilderResponse` object.
      Parameters:
        `sendRequest` - the response sent by the WS
      Returns:
        DmgResponse the response object built from the response of the WS, with a valid Xades and a decoded content
      Throws:
        `TechnicalConnectorException`
        `DataFormatException`
        `NoSuchAlgorithmException`

    - #### handleAsyncResponse

          DmgBuilderResponse handleAsyncResponse(MsgResponse asyncMsgResponse)
                                          throws TechnicalConnectorException

      converts response to asynchronous business message to DmgBuilderResponse. the list of these MsgResponses can be retrieved from the `GetResponse` return object with getResponse.getReturn().getMsgResponses().
      Parameters:
        `asyncMsgResponse` - `MsgResponse` to be converted.
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.